#include ".\tool.h"

Tool::Tool(void)
{
}

Tool::~Tool(void)
{
}

void Tool::drawTool()
{
	// cursor size in pixels at the near plane
	#define CURSOR_SCALE_PIXELS 20
	GLdouble modelview[16];
	GLdouble projection[16];
	GLint viewport[4];
	glGetDoublev(GL_MODELVIEW_MATRIX, modelview);

	glGetDoublev(GL_PROJECTION_MATRIX, projection);
	glGetIntegerv(GL_VIEWPORT, viewport);
	glPushMatrix();

	// get proxy position in world coordinates
	HLdouble proxyPosition[3];
	hlGetDoublev(HL_PROXY_POSITION, proxyPosition);
	
	// transform to draw cursor in world coordinates
	glTranslatef(proxyPosition[0], proxyPosition[1], proxyPosition[2]);
	
	// compute cursor scale
	HLdouble gCursorScale;
	gCursorScale = hluScreenToModelScale(modelview, projection, viewport);
	gCursorScale *= CURSOR_SCALE_PIXELS;
	glScaled(gCursorScale, gCursorScale, gCursorScale);
	
	//drawSphere();
	glBegin(GL_TRIANGLES);
	glColor3f(0.0, 0.0, 1.0);
	glVertex3f( -1.0, 0.0, 0.0);
	glVertex3f(  0.0, 1.0, 0.0);
	glVertex3f(  1.0, 0.0, 0.0);
	glEnd();
	
	glPopMatrix();
}